Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math
Class MaxEvaluationsExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ConvergenceException
                      org.apache.commons.math.MaxEvaluationsExceededException

All Implemented Interfaces:
  java.io.Serializable

    public class MaxEvaluationsExceededException

extends ConvergenceException

Error thrown when a numerical computation exceeds its allowed number of functions evaluations.

Since:
  2.0
Version:
  $Revision: 779273 $ $Date: 2009-05-27 14:54:48 -0400 (Wed, 27 May 2009) $
See Also:
  Serialized Form

Field Summary
`private int` | `maxEvaluations` Maximal number of evaluations allowed.
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`MaxEvaluationsExceededException(int maxEvaluations)` Constructs an exception with specified formatted detail message.
`MaxEvaluationsExceededException(int maxEvaluations, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.

Method Summary
`int` | `getMaxEvaluations()` Get the maximal number of evaluations allowed.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

### maxEvaluations

    private final int maxEvaluations

  Maximal number of evaluations allowed.

Constructor Detail

### MaxEvaluationsExceededException

    public MaxEvaluationsExceededException(int maxEvaluations)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxEvaluations` - maximal number of evaluations allowed

### MaxEvaluationsExceededException

    public MaxEvaluationsExceededException(int maxEvaluations,
                                           java.lang.String pattern,
                                           java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `maxEvaluations` - the exceeded maximal number of evaluations
    `pattern` - format specifier
    `arguments` - format arguments

Method Detail

### getMaxEvaluations

    public int getMaxEvaluations()

  Get the maximal number of evaluations allowed.

  Returns:
    maximal number of evaluations allowed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation